### Method

# Clutter Event get_state

#### Declaration [src]

    ClutterModifierType
    clutter_event_get_state (
      const ClutterEvent* event
    )

#### Description [src]

Retrieves the modifier state of the event. In case the window system supports reporting latched and locked modifiers, this function returns the effective state.

#### Return value

Type: `ClutterModifierType`

The modifier state parameter, or 0.